Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Long

    java.lang.Object
      java.lang.Long

    public final class Long

extends Object

The `Long` class provides several methods for converting a `long` to a `String` and a `String` to a `long`, as well as other constants and methods useful when dealing with a `long`.

Field Summary
`static long` | `MAX_VALUE` A constant holding the maximum value a `long` can have, 263-1.
`static long` | `MIN_VALUE` A constant holding the minimum value a `long` can have, -263.

Constructor Summary
`Long()`

Method Summary
`static String` | `toHexString(long l)` Returns a string representation of the `long` argument as an unsigned integer in base 16.
`static String` | `toString(long l)` Returns a `String` object representing the specified `long`.

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### MIN_VALUE

    public static final long MIN_VALUE

  A constant holding the minimum value a `long` can have, -263.

  See Also:
    Constant Field Values

### MAX_VALUE

    public static final long MAX_VALUE

  A constant holding the maximum value a `long` can have, 263-1.

  See Also:
    Constant Field Values

Constructor Detail

### Long

    public Long()

Method Detail

### toHexString

    public static String toHexString(long l)

  Returns a string representation of the `long` argument as an unsigned integer in base 16.

  Parameters:
    `i` - a `long` to be converted to a string.
  Returns:
    the string representation of the unsigned `long` value represented by the argument in hexadecimal (base 16).

### toString

    public static String toString(long l)

  Returns a `String` object representing the specified `long`. The argument is converted to signed decimal representation and returned as a string.

  Parameters:
    `i` - a `long` to be converted.
  Returns:
    a string representation of the argument in base 10.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD